;******************************************************************************
;* TMS470 C/C++ Codegen                                             PC v4.1.2 *
;* Date/Time created: Thu May 03 11:04:51 2012                                *
;******************************************************************************
	.compiler_opts --abi=tiabi --code_state=16 --endian=big --float_support=fpalib --silicon_version=4 
	.state16

DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr DW$CU, DW_AT_name("pmbus_manuf_info_commands.c")
	.dwattr DW$CU, DW_AT_producer("TMS470 C/C++ Codegen PC v4.1.2 Copyright (c) 1996-2005 Texas Instruments Incorporated")
	.dwattr DW$CU, DW_AT_stmt_list(0x00)
	.dwattr DW$CU, DW_AT_TI_VERSION(0x01)
DW$1	.dwtag  DW_TAG_variable, DW_AT_name("pmbus_buffer"), DW_AT_symbol_name("_pmbus_buffer")
	.dwattr DW$1, DW_AT_type(*DW$T$46)
	.dwattr DW$1, DW_AT_declaration(0x01)
	.dwattr DW$1, DW_AT_external(0x01)
DW$2	.dwtag  DW_TAG_variable, DW_AT_name("pmbus_number_of_bytes"), DW_AT_symbol_name("_pmbus_number_of_bytes")
	.dwattr DW$2, DW_AT_type(*DW$T$22)
	.dwattr DW$2, DW_AT_declaration(0x01)
	.dwattr DW$2, DW_AT_external(0x01)
	.global	_setup_id
	.sect	".const"
	.align	4
_setup_id:
	.field  	86,8			; _setup_id[0] @ 0
	.field  	69,8			; _setup_id[1] @ 8
	.field  	82,8			; _setup_id[2] @ 16
	.field  	83,8			; _setup_id[3] @ 24
	.field  	73,8			; _setup_id[4] @ 32
	.field  	79,8			; _setup_id[5] @ 40
	.field  	78,8			; _setup_id[6] @ 48
	.field  	49,8			; _setup_id[7] @ 56
	.field  	124,8			; _setup_id[8] @ 64
	.field  	76,8			; _setup_id[9] @ 72
	.field  	76,8			; _setup_id[10] @ 80
	.field  	67,8			; _setup_id[11] @ 88
	.field  	48,8			; _setup_id[12] @ 96
	.field  	48,8			; _setup_id[13] @ 104
	.field  	49,8			; _setup_id[14] @ 112
	.field  	0,8			; _setup_id[15] @ 120

DW$3	.dwtag  DW_TAG_variable, DW_AT_name("setup_id"), DW_AT_symbol_name("_setup_id")
	.dwattr DW$3, DW_AT_location[DW_OP_addr _setup_id]
	.dwattr DW$3, DW_AT_type(*DW$T$39)
	.dwattr DW$3, DW_AT_external(0x01)
	.global	_mfr_id
	.sect	".const"
	.align	4
_mfr_id:
	.field  	84,8			; _mfr_id[0] @ 0
	.field  	73,8			; _mfr_id[1] @ 8
	.field  	0,8			; _mfr_id[2] @ 16

DW$4	.dwtag  DW_TAG_variable, DW_AT_name("mfr_id"), DW_AT_symbol_name("_mfr_id")
	.dwattr DW$4, DW_AT_location[DW_OP_addr _mfr_id]
	.dwattr DW$4, DW_AT_type(*DW$T$40)
	.dwattr DW$4, DW_AT_external(0x01)
	.global	_mfr_model
	.sect	".const"
	.align	4
_mfr_model:
	.field  	85,8			; _mfr_model[0] @ 0
	.field  	67,8			; _mfr_model[1] @ 8
	.field  	68,8			; _mfr_model[2] @ 16
	.field  	51,8			; _mfr_model[3] @ 24
	.field  	49,8			; _mfr_model[4] @ 32
	.field  	51,8			; _mfr_model[5] @ 40
	.field  	56,8			; _mfr_model[6] @ 48
	.field  	76,8			; _mfr_model[7] @ 56
	.field  	76,8			; _mfr_model[8] @ 64
	.field  	67,8			; _mfr_model[9] @ 72
	.field  	69,8			; _mfr_model[10] @ 80
	.field  	86,8			; _mfr_model[11] @ 88
	.field  	77,8			; _mfr_model[12] @ 96
	.field  	45,8			; _mfr_model[13] @ 104
	.field  	48,8			; _mfr_model[14] @ 112
	.field  	50,8			; _mfr_model[15] @ 120
	.field  	56,8			; _mfr_model[16] @ 128
	.field  	0,8			; _mfr_model[17] @ 136

DW$5	.dwtag  DW_TAG_variable, DW_AT_name("mfr_model"), DW_AT_symbol_name("_mfr_model")
	.dwattr DW$5, DW_AT_location[DW_OP_addr _mfr_model]
	.dwattr DW$5, DW_AT_type(*DW$T$41)
	.dwattr DW$5, DW_AT_external(0x01)
	.global	_mfr_revision
	.sect	".const"
	.align	4
_mfr_revision:
	.field  	69,8			; _mfr_revision[0] @ 0
	.field  	51,8			; _mfr_revision[1] @ 8
	.field  	0,8			; _mfr_revision[2] @ 16

DW$6	.dwtag  DW_TAG_variable, DW_AT_name("mfr_revision"), DW_AT_symbol_name("_mfr_revision")
	.dwattr DW$6, DW_AT_location[DW_OP_addr _mfr_revision]
	.dwattr DW$6, DW_AT_type(*DW$T$40)
	.dwattr DW$6, DW_AT_external(0x01)
	.global	_mfr_date
	.sect	".const"
	.align	4
_mfr_date:
	.field  	89,8			; _mfr_date[0] @ 0
	.field  	89,8			; _mfr_date[1] @ 8
	.field  	77,8			; _mfr_date[2] @ 16
	.field  	77,8			; _mfr_date[3] @ 24
	.field  	68,8			; _mfr_date[4] @ 32
	.field  	68,8			; _mfr_date[5] @ 40
	.field  	0,8			; _mfr_date[6] @ 48

DW$7	.dwtag  DW_TAG_variable, DW_AT_name("mfr_date"), DW_AT_symbol_name("_mfr_date")
	.dwattr DW$7, DW_AT_location[DW_OP_addr _mfr_date]
	.dwattr DW$7, DW_AT_type(*DW$T$42)
	.dwattr DW$7, DW_AT_external(0x01)
	.global	_mfr_location
	.sect	".const"
	.align	4
_mfr_location:
	.field  	68,8			; _mfr_location[0] @ 0
	.field  	97,8			; _mfr_location[1] @ 8
	.field  	108,8			; _mfr_location[2] @ 16
	.field  	108,8			; _mfr_location[3] @ 24
	.field  	97,8			; _mfr_location[4] @ 32
	.field  	115,8			; _mfr_location[5] @ 40
	.field  	44,8			; _mfr_location[6] @ 48
	.field  	32,8			; _mfr_location[7] @ 56
	.field  	84,8			; _mfr_location[8] @ 64
	.field  	88,8			; _mfr_location[9] @ 72
	.field  	0,8			; _mfr_location[10] @ 80

DW$8	.dwtag  DW_TAG_variable, DW_AT_name("mfr_location"), DW_AT_symbol_name("_mfr_location")
	.dwattr DW$8, DW_AT_location[DW_OP_addr _mfr_location]
	.dwattr DW$8, DW_AT_type(*DW$T$43)
	.dwattr DW$8, DW_AT_external(0x01)
	.global	_mfr_serial
	.sect	".const"
	.align	4
_mfr_serial:
	.field  	88,8			; _mfr_serial[0] @ 0
	.field  	88,8			; _mfr_serial[1] @ 8
	.field  	88,8			; _mfr_serial[2] @ 16
	.field  	88,8			; _mfr_serial[3] @ 24
	.field  	88,8			; _mfr_serial[4] @ 32
	.field  	0,8			; _mfr_serial[5] @ 40

DW$9	.dwtag  DW_TAG_variable, DW_AT_name("mfr_serial"), DW_AT_symbol_name("_mfr_serial")
	.dwattr DW$9, DW_AT_location[DW_OP_addr _mfr_serial]
	.dwattr DW$9, DW_AT_type(*DW$T$44)
	.dwattr DW$9, DW_AT_external(0x01)
	.global	_device_id_string
	.sect	".const"
	.align	4
_device_id_string:
	.field  	85,8			; _device_id_string[0] @ 0
	.field  	67,8			; _device_id_string[1] @ 8
	.field  	68,8			; _device_id_string[2] @ 16
	.field  	51,8			; _device_id_string[3] @ 24
	.field  	49,8			; _device_id_string[4] @ 32
	.field  	48,8			; _device_id_string[5] @ 40
	.field  	48,8			; _device_id_string[6] @ 48
	.field  	73,8			; _device_id_string[7] @ 56
	.field  	83,8			; _device_id_string[8] @ 64
	.field  	79,8			; _device_id_string[9] @ 72
	.field  	49,8			; _device_id_string[10] @ 80
	.field  	124,8			; _device_id_string[11] @ 88
	.field  	48,8			; _device_id_string[12] @ 96
	.field  	46,8			; _device_id_string[13] @ 104
	.field  	48,8			; _device_id_string[14] @ 112
	.field  	46,8			; _device_id_string[15] @ 120
	.field  	51,8			; _device_id_string[16] @ 128
	.field  	53,8			; _device_id_string[17] @ 136
	.field  	46,8			; _device_id_string[18] @ 144
	.field  	48,8			; _device_id_string[19] @ 152
	.field  	48,8			; _device_id_string[20] @ 160
	.field  	54,8			; _device_id_string[21] @ 168
	.field  	56,8			; _device_id_string[22] @ 176
	.field  	124,8			; _device_id_string[23] @ 184
	.field  	49,8			; _device_id_string[24] @ 192
	.field  	50,8			; _device_id_string[25] @ 200
	.field  	48,8			; _device_id_string[26] @ 208
	.field  	50,8			; _device_id_string[27] @ 216
	.field  	50,8			; _device_id_string[28] @ 224
	.field  	55,8			; _device_id_string[29] @ 232
	.field  	0,8			; _device_id_string[30] @ 240

DW$10	.dwtag  DW_TAG_variable, DW_AT_name("device_id_string"), DW_AT_symbol_name("_device_id_string")
	.dwattr DW$10, DW_AT_location[DW_OP_addr _device_id_string]
	.dwattr DW$10, DW_AT_type(*DW$T$45)
	.dwattr DW$10, DW_AT_external(0x01)
;	C:\CCStudio_v3.1\tms470\cgtools\bin\opt470.exe C:\DOCUME~1\a0271083\LOCALS~1\Temp\TI6642 C:\DOCUME~1\a0271083\LOCALS~1\Temp\TI6644 
	.sect	".text:v$0"
	.clink
	.global	_send_string

DW$11	.dwtag  DW_TAG_subprogram, DW_AT_name("send_string"), DW_AT_symbol_name("_send_string")
	.dwattr DW$11, DW_AT_veneer(0x01)
	.dwattr DW$11, DW_AT_low_pc(_send_string)
	.dwattr DW$11, DW_AT_high_pc(0x00)
	.dwattr DW$11, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _send_string                                             *
;*****************************************************************************
_send_string:
	 LDR       ip, [pc]
	 BX        ip
	.field     $send_string+1, 32
	.state16
	.dwendtag DW$11


	.sect	".text"
	.clink
	.global	$send_string

DW$12	.dwtag  DW_TAG_subprogram, DW_AT_name("send_string"), DW_AT_symbol_name("$send_string")
	.dwattr DW$12, DW_AT_low_pc($send_string)
	.dwattr DW$12, DW_AT_high_pc(0x00)
	.dwattr DW$12, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$12, DW_AT_begin_line(0x12)
	.dwattr DW$12, DW_AT_begin_column(0x06)
	.dwpsn	"pmbus_manuf_info_commands.c",19,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: send_string                                                *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SR                                      *
;*   Regs Used         : A1,A2,A3,A4,SR                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$send_string:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
;* A1    assigned to _string_to_send
DW$13	.dwtag  DW_TAG_formal_parameter, DW_AT_name("string_to_send"), DW_AT_symbol_name("_string_to_send")
	.dwattr DW$13, DW_AT_type(*DW$T$21)
	.dwattr DW$13, DW_AT_location[DW_OP_reg0]
;* A2    assigned to _num_bytes
DW$14	.dwtag  DW_TAG_formal_parameter, DW_AT_name("num_bytes"), DW_AT_symbol_name("_num_bytes")
	.dwattr DW$14, DW_AT_type(*DW$T$22)
	.dwattr DW$14, DW_AT_location[DW_OP_reg1]
;* A3    assigned to C$1
;* A3    assigned to C$2
;* A2    assigned to _string_len
DW$15	.dwtag  DW_TAG_variable, DW_AT_name("string_len"), DW_AT_symbol_name("_string_len")
	.dwattr DW$15, DW_AT_type(*DW$T$22)
	.dwattr DW$15, DW_AT_location[DW_OP_reg1]
;* A2    assigned to _num_bytes
DW$16	.dwtag  DW_TAG_variable, DW_AT_name("num_bytes"), DW_AT_symbol_name("_num_bytes")
	.dwattr DW$16, DW_AT_type(*DW$T$47)
	.dwattr DW$16, DW_AT_location[DW_OP_reg1]
;* A2    assigned to L$1
;* A3    assigned to U$22
;* A1    assigned to U$19
	.dwpsn	"pmbus_manuf_info_commands.c",23,2
        CMP       A2, #40               ; |23| 
        BQLT      L1                    ; |23| 
        ; |23| 
;* --------------------------------------------------------------------------*
        MOV       A2, #39               ; |23| 
;* --------------------------------------------------------------------------*
L1:    
        ADD       A3, A2, #1            ; |23| 
        LDR       A4, CON1              ; |23| 
        STRB      A3, [A4, #0]          ; |23| 
	.dwpsn	"pmbus_manuf_info_commands.c",27,2
        LDR       A3, CON2              ; |27| 
        STRB      A2, [A3, #0]          ; |27| 
	.dwpsn	"pmbus_manuf_info_commands.c",29,16
        CMP       A2, #0                ; |29| 
        BQEQ      L3                    ; |29| 
        ; |29| 
;* --------------------------------------------------------------------------*
	.dwpsn	"pmbus_manuf_info_commands.c",31,3
;* --------------------------------------------------------------------------*
;*   BEGIN LOOP L2
;*
;*   Loop source line                : 29
;*   Loop closing brace source line  : 32
;*   Known Minimum Trip Count        : 1
;*   Known Maximum Trip Count        : 256
;*   Known Max Trip Count Factor     : 1
;* --------------------------------------------------------------------------*
L2:    
DW$L$$send_string$5$B:
        LDRB      A4, [A1, #0]          ; |31| 
        STRB      A4, [A3, #1]          ; |31| 
        ADD       A3, A3, #1            ; |31| 
	.dwpsn	"pmbus_manuf_info_commands.c",29,35
        ADD       A1, #1                ; |29| 
        SUB       A2, #1                ; |29| 
        BQNE      L2                    ; |29| 
        ; |29| 
DW$L$$send_string$5$E:
;* --------------------------------------------------------------------------*
L3:    
	.dwpsn	"pmbus_manuf_info_commands.c",33,1
        BX        LR

DW$17	.dwtag  DW_TAG_loop
	.dwattr DW$17, DW_AT_name("C:/digitalpower/cyclone/document/traning material/TRAVEL_MAY2012/lab training/Training PMBus/Lab 04 Closed Loop - Solution/Debug/pmbus_manuf_info_commands.asm:L2:1:1336061091")
	.dwattr DW$17, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$17, DW_AT_begin_line(0x1d)
	.dwattr DW$17, DW_AT_end_line(0x20)
DW$18	.dwtag  DW_TAG_loop_range
	.dwattr DW$18, DW_AT_low_pc(DW$L$$send_string$5$B)
	.dwattr DW$18, DW_AT_high_pc(DW$L$$send_string$5$E)
	.dwendtag DW$17

	.dwattr DW$12, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$12, DW_AT_end_line(0x21)
	.dwattr DW$12, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$12

	.sect	".text:v$1"
	.clink
	.global	_pmbus_read_device_id

DW$19	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_read_device_id"), DW_AT_symbol_name("_pmbus_read_device_id")
	.dwattr DW$19, DW_AT_veneer(0x01)
	.dwattr DW$19, DW_AT_low_pc(_pmbus_read_device_id)
	.dwattr DW$19, DW_AT_high_pc(0x00)
	.dwattr DW$19, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_read_device_id                                    *
;*****************************************************************************
_pmbus_read_device_id:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_read_device_id
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$19


	.sect	".text"
	.clink
	.global	$pmbus_read_device_id

DW$20	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_read_device_id"), DW_AT_symbol_name("$pmbus_read_device_id")
	.dwattr DW$20, DW_AT_low_pc($pmbus_read_device_id)
	.dwattr DW$20, DW_AT_high_pc(0x00)
	.dwattr DW$20, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$20, DW_AT_begin_line(0x23)
	.dwattr DW$20, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",36,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_read_device_id                                       *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_read_device_id:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",37,5
        LDR       A1, CON3              ; |37| 
        MOV       A2, #31               ; |37| 
        BL        $send_string          ; |37| 
        ; |37| 
	.dwpsn	"pmbus_manuf_info_commands.c",38,5
        MOV       A1, #0                ; |38| 
	.dwpsn	"pmbus_manuf_info_commands.c",39,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$20, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$20, DW_AT_end_line(0x27)
	.dwattr DW$20, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$20

	.sect	".text:v$2"
	.clink
	.global	_pmbus_read_setup_id

DW$21	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_read_setup_id"), DW_AT_symbol_name("_pmbus_read_setup_id")
	.dwattr DW$21, DW_AT_veneer(0x01)
	.dwattr DW$21, DW_AT_low_pc(_pmbus_read_setup_id)
	.dwattr DW$21, DW_AT_high_pc(0x00)
	.dwattr DW$21, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_read_setup_id                                     *
;*****************************************************************************
_pmbus_read_setup_id:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_read_setup_id
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$21


	.sect	".text"
	.clink
	.global	$pmbus_read_setup_id

DW$22	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_read_setup_id"), DW_AT_symbol_name("$pmbus_read_setup_id")
	.dwattr DW$22, DW_AT_low_pc($pmbus_read_setup_id)
	.dwattr DW$22, DW_AT_high_pc(0x00)
	.dwattr DW$22, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$22, DW_AT_begin_line(0x29)
	.dwattr DW$22, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",42,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_read_setup_id                                        *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_read_setup_id:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",43,2
        LDR       A1, CON5              ; |43| 
        MOV       A2, #16               ; |43| 
        BL        $send_string          ; |43| 
        ; |43| 
	.dwpsn	"pmbus_manuf_info_commands.c",44,2
        MOV       A1, #0                ; |44| 
	.dwpsn	"pmbus_manuf_info_commands.c",45,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$22, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$22, DW_AT_end_line(0x2d)
	.dwattr DW$22, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$22

	.sect	".text:v$3"
	.clink
	.global	_pmbus_mfr_model_handler

DW$23	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_model_handler"), DW_AT_symbol_name("_pmbus_mfr_model_handler")
	.dwattr DW$23, DW_AT_veneer(0x01)
	.dwattr DW$23, DW_AT_low_pc(_pmbus_mfr_model_handler)
	.dwattr DW$23, DW_AT_high_pc(0x00)
	.dwattr DW$23, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_model_handler                                 *
;*****************************************************************************
_pmbus_mfr_model_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_model_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$23


	.sect	".text"
	.clink
	.global	$pmbus_mfr_model_handler

DW$24	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_model_handler"), DW_AT_symbol_name("$pmbus_mfr_model_handler")
	.dwattr DW$24, DW_AT_low_pc($pmbus_mfr_model_handler)
	.dwattr DW$24, DW_AT_high_pc(0x00)
	.dwattr DW$24, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$24, DW_AT_begin_line(0x2f)
	.dwattr DW$24, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",48,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_model_handler                                    *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_model_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",49,2
        LDR       A1, CON7              ; |49| 
        MOV       A2, #18               ; |49| 
        BL        $send_string          ; |49| 
        ; |49| 
	.dwpsn	"pmbus_manuf_info_commands.c",50,2
        MOV       A1, #0                ; |50| 
	.dwpsn	"pmbus_manuf_info_commands.c",51,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$24, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$24, DW_AT_end_line(0x33)
	.dwattr DW$24, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$24

	.sect	".text:v$4"
	.clink
	.global	_pmbus_mfr_revision_handler

DW$25	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_revision_handler"), DW_AT_symbol_name("_pmbus_mfr_revision_handler")
	.dwattr DW$25, DW_AT_veneer(0x01)
	.dwattr DW$25, DW_AT_low_pc(_pmbus_mfr_revision_handler)
	.dwattr DW$25, DW_AT_high_pc(0x00)
	.dwattr DW$25, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_revision_handler                              *
;*****************************************************************************
_pmbus_mfr_revision_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_revision_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$25


	.sect	".text"
	.clink
	.global	$pmbus_mfr_revision_handler

DW$26	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_revision_handler"), DW_AT_symbol_name("$pmbus_mfr_revision_handler")
	.dwattr DW$26, DW_AT_low_pc($pmbus_mfr_revision_handler)
	.dwattr DW$26, DW_AT_high_pc(0x00)
	.dwattr DW$26, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$26, DW_AT_begin_line(0x35)
	.dwattr DW$26, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",54,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_revision_handler                                 *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_revision_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",55,2
        LDR       A1, CON9              ; |55| 
        MOV       A2, #3                ; |55| 
        BL        $send_string          ; |55| 
        ; |55| 
	.dwpsn	"pmbus_manuf_info_commands.c",56,2
        MOV       A1, #0                ; |56| 
	.dwpsn	"pmbus_manuf_info_commands.c",57,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$26, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$26, DW_AT_end_line(0x39)
	.dwattr DW$26, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$26

	.sect	".text:v$5"
	.clink
	.global	_pmbus_mfr_id_handler

DW$27	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_id_handler"), DW_AT_symbol_name("_pmbus_mfr_id_handler")
	.dwattr DW$27, DW_AT_veneer(0x01)
	.dwattr DW$27, DW_AT_low_pc(_pmbus_mfr_id_handler)
	.dwattr DW$27, DW_AT_high_pc(0x00)
	.dwattr DW$27, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_id_handler                                    *
;*****************************************************************************
_pmbus_mfr_id_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_id_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$27


	.sect	".text"
	.clink
	.global	$pmbus_mfr_id_handler

DW$28	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_id_handler"), DW_AT_symbol_name("$pmbus_mfr_id_handler")
	.dwattr DW$28, DW_AT_low_pc($pmbus_mfr_id_handler)
	.dwattr DW$28, DW_AT_high_pc(0x00)
	.dwattr DW$28, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$28, DW_AT_begin_line(0x3b)
	.dwattr DW$28, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",60,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_id_handler                                       *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_id_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",61,2
        LDR       A1, CON11             ; |61| 
        MOV       A2, #3                ; |61| 
        BL        $send_string          ; |61| 
        ; |61| 
	.dwpsn	"pmbus_manuf_info_commands.c",62,2
        MOV       A1, #0                ; |62| 
	.dwpsn	"pmbus_manuf_info_commands.c",63,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$28, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$28, DW_AT_end_line(0x3f)
	.dwattr DW$28, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$28

	.sect	".text:v$6"
	.clink
	.global	_pmbus_mfr_date_handler

DW$29	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_date_handler"), DW_AT_symbol_name("_pmbus_mfr_date_handler")
	.dwattr DW$29, DW_AT_veneer(0x01)
	.dwattr DW$29, DW_AT_low_pc(_pmbus_mfr_date_handler)
	.dwattr DW$29, DW_AT_high_pc(0x00)
	.dwattr DW$29, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_date_handler                                  *
;*****************************************************************************
_pmbus_mfr_date_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_date_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$29


	.sect	".text"
	.clink
	.global	$pmbus_mfr_date_handler

DW$30	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_date_handler"), DW_AT_symbol_name("$pmbus_mfr_date_handler")
	.dwattr DW$30, DW_AT_low_pc($pmbus_mfr_date_handler)
	.dwattr DW$30, DW_AT_high_pc(0x00)
	.dwattr DW$30, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$30, DW_AT_begin_line(0x41)
	.dwattr DW$30, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",66,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_date_handler                                     *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_date_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",67,2
        LDR       A1, CON12             ; |67| 
        MOV       A2, #7                ; |67| 
        BL        $send_string          ; |67| 
        ; |67| 
	.dwpsn	"pmbus_manuf_info_commands.c",68,2
        MOV       A1, #0                ; |68| 
	.dwpsn	"pmbus_manuf_info_commands.c",69,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$30, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$30, DW_AT_end_line(0x45)
	.dwattr DW$30, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$30

	.sect	".text:v$7"
	.clink
	.global	_pmbus_mfr_location_handler

DW$31	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_location_handler"), DW_AT_symbol_name("_pmbus_mfr_location_handler")
	.dwattr DW$31, DW_AT_veneer(0x01)
	.dwattr DW$31, DW_AT_low_pc(_pmbus_mfr_location_handler)
	.dwattr DW$31, DW_AT_high_pc(0x00)
	.dwattr DW$31, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_location_handler                              *
;*****************************************************************************
_pmbus_mfr_location_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_location_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$31


	.sect	".text"
	.clink
	.global	$pmbus_mfr_location_handler

DW$32	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_location_handler"), DW_AT_symbol_name("$pmbus_mfr_location_handler")
	.dwattr DW$32, DW_AT_low_pc($pmbus_mfr_location_handler)
	.dwattr DW$32, DW_AT_high_pc(0x00)
	.dwattr DW$32, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$32, DW_AT_begin_line(0x47)
	.dwattr DW$32, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",72,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_location_handler                                 *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_location_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",73,2
        LDR       A1, CON14             ; |73| 
        MOV       A2, #11               ; |73| 
        BL        $send_string          ; |73| 
        ; |73| 
	.dwpsn	"pmbus_manuf_info_commands.c",74,2
        MOV       A1, #0                ; |74| 
	.dwpsn	"pmbus_manuf_info_commands.c",75,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$32, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$32, DW_AT_end_line(0x4b)
	.dwattr DW$32, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$32

	.sect	".text:v$8"
	.clink
	.global	_pmbus_mfr_serial_handler

DW$33	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_serial_handler"), DW_AT_symbol_name("_pmbus_mfr_serial_handler")
	.dwattr DW$33, DW_AT_veneer(0x01)
	.dwattr DW$33, DW_AT_low_pc(_pmbus_mfr_serial_handler)
	.dwattr DW$33, DW_AT_high_pc(0x00)
	.dwattr DW$33, DW_AT_external(0x01)
	.state32

;*****************************************************************************
;* FUNCTION VENEER: _pmbus_mfr_serial_handler                                *
;*****************************************************************************
_pmbus_mfr_serial_handler:
	 STMFD     sp!, {lr}
	 ADD       lr, pc, #1
	 BX        lr
	.state16
	 BL        $pmbus_mfr_serial_handler
	 BX        pc
	 NOP
	.state32
	 LDMFD     sp!, {pc}
	.state16
	.dwendtag DW$33


	.sect	".text"
	.clink
	.global	$pmbus_mfr_serial_handler

DW$34	.dwtag  DW_TAG_subprogram, DW_AT_name("pmbus_mfr_serial_handler"), DW_AT_symbol_name("$pmbus_mfr_serial_handler")
	.dwattr DW$34, DW_AT_low_pc($pmbus_mfr_serial_handler)
	.dwattr DW$34, DW_AT_high_pc(0x00)
	.dwattr DW$34, DW_AT_begin_file("pmbus_manuf_info_commands.c")
	.dwattr DW$34, DW_AT_begin_line(0x4d)
	.dwattr DW$34, DW_AT_begin_column(0x05)
	.dwpsn	"pmbus_manuf_info_commands.c",78,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: pmbus_mfr_serial_handler                                   *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,SP,LR,SR                                *
;*   Regs Used         : A1,A2,A3,A4,SP,LR,SR                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
$pmbus_mfr_serial_handler:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
        PUSH      {LR}
	.dwcfa	0x0e, 4
	.dwcfa	0x80, 14, 1
	.dwcfa	0x0e, 4
	.dwpsn	"pmbus_manuf_info_commands.c",79,2
        LDR       A1, CON16             ; |79| 
        MOV       A2, #6                ; |79| 
        BL        $send_string          ; |79| 
        ; |79| 
	.dwpsn	"pmbus_manuf_info_commands.c",80,2
        MOV       A1, #0                ; |80| 
	.dwpsn	"pmbus_manuf_info_commands.c",81,1
	.dwcfa	0x0e, 4
        POP       {PC}
	.dwattr DW$34, DW_AT_end_file("pmbus_manuf_info_commands.c")
	.dwattr DW$34, DW_AT_end_line(0x51)
	.dwattr DW$34, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$34

;******************************************************************************
;* CONSTANT TABLE                                                             *
;******************************************************************************
	.sect	".text"
	.align	4
CON1:	.field  	_pmbus_number_of_bytes,32
	.align	4
CON2:	.field  	_pmbus_buffer,32
	.align	4
CON3:	.field  	_device_id_string,32
	.align	4
CON5:	.field  	_setup_id,32
	.align	4
CON7:	.field  	_mfr_model,32
	.align	4
CON9:	.field  	_mfr_revision,32
	.align	4
CON11:	.field  	_mfr_id,32
	.align	4
CON12:	.field  	_mfr_date,32
	.align	4
CON14:	.field  	_mfr_location,32
	.align	4
CON16:	.field  	_mfr_serial,32
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_pmbus_buffer
	.global	_pmbus_number_of_bytes

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

DW$T$23	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$23, DW_AT_language(DW_LANG_C)
DW$35	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$21)
DW$36	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$22)
	.dwendtag DW$T$23


DW$T$37	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$10)
	.dwattr DW$T$37, DW_AT_language(DW_LANG_C)
DW$T$21	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$21, DW_AT_address_class(0x20)

DW$T$39	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$39, DW_AT_byte_size(0x10)
DW$37	.dwtag  DW_TAG_subrange_type
	.dwattr DW$37, DW_AT_upper_bound(0x0f)
	.dwendtag DW$T$39


DW$T$40	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$40, DW_AT_byte_size(0x03)
DW$38	.dwtag  DW_TAG_subrange_type
	.dwattr DW$38, DW_AT_upper_bound(0x02)
	.dwendtag DW$T$40


DW$T$41	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$41, DW_AT_byte_size(0x12)
DW$39	.dwtag  DW_TAG_subrange_type
	.dwattr DW$39, DW_AT_upper_bound(0x11)
	.dwendtag DW$T$41


DW$T$42	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$42, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$42, DW_AT_byte_size(0x07)
DW$40	.dwtag  DW_TAG_subrange_type
	.dwattr DW$40, DW_AT_upper_bound(0x06)
	.dwendtag DW$T$42


DW$T$43	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$43, DW_AT_byte_size(0x0b)
DW$41	.dwtag  DW_TAG_subrange_type
	.dwattr DW$41, DW_AT_upper_bound(0x0a)
	.dwendtag DW$T$43


DW$T$44	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$44, DW_AT_byte_size(0x06)
DW$42	.dwtag  DW_TAG_subrange_type
	.dwattr DW$42, DW_AT_upper_bound(0x05)
	.dwendtag DW$T$44


DW$T$45	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$45, DW_AT_byte_size(0x1f)
DW$43	.dwtag  DW_TAG_subrange_type
	.dwattr DW$43, DW_AT_upper_bound(0x1e)
	.dwendtag DW$T$45

DW$T$22	.dwtag  DW_TAG_typedef, DW_AT_name("Uint8"), DW_AT_type(*DW$T$19)
	.dwattr DW$T$22, DW_AT_language(DW_LANG_C)

DW$T$46	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$22)
	.dwattr DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$46, DW_AT_byte_size(0x28)
DW$44	.dwtag  DW_TAG_subrange_type
	.dwattr DW$44, DW_AT_upper_bound(0x27)
	.dwendtag DW$T$46

DW$T$47	.dwtag  DW_TAG_const_type
	.dwattr DW$T$47, DW_AT_type(*DW$T$22)
DW$T$10	.dwtag  DW_TAG_base_type, DW_AT_name("int")
	.dwattr DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr DW$T$10, DW_AT_byte_size(0x04)
DW$T$19	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned char")
	.dwattr DW$T$19, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr DW$T$19, DW_AT_byte_size(0x01)
DW$T$20	.dwtag  DW_TAG_const_type
	.dwattr DW$T$20, DW_AT_type(*DW$T$19)

	.dwattr DW$30, DW_AT_external(0x01)
	.dwattr DW$30, DW_AT_type(*DW$T$10)
	.dwattr DW$28, DW_AT_external(0x01)
	.dwattr DW$28, DW_AT_type(*DW$T$10)
	.dwattr DW$32, DW_AT_external(0x01)
	.dwattr DW$32, DW_AT_type(*DW$T$10)
	.dwattr DW$24, DW_AT_external(0x01)
	.dwattr DW$24, DW_AT_type(*DW$T$10)
	.dwattr DW$26, DW_AT_external(0x01)
	.dwattr DW$26, DW_AT_type(*DW$T$10)
	.dwattr DW$34, DW_AT_external(0x01)
	.dwattr DW$34, DW_AT_type(*DW$T$10)
	.dwattr DW$20, DW_AT_external(0x01)
	.dwattr DW$20, DW_AT_type(*DW$T$10)
	.dwattr DW$22, DW_AT_external(0x01)
	.dwattr DW$22, DW_AT_type(*DW$T$10)
	.dwattr DW$12, DW_AT_external(0x01)
	.dwattr DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

DW$CIE	.dwcie 1, 26
	.dwcfa	0x0c, 13, 0
	.dwcfa	0x07, 0
	.dwcfa	0x07, 1
	.dwcfa	0x07, 2
	.dwcfa	0x07, 3
	.dwcfa	0x08, 4
	.dwcfa	0x08, 5
	.dwcfa	0x08, 6
	.dwcfa	0x08, 7
	.dwcfa	0x08, 8
	.dwcfa	0x08, 9
	.dwcfa	0x08, 10
	.dwcfa	0x08, 11
	.dwcfa	0x07, 12
	.dwcfa	0x07, 13
	.dwcfa	0x07, 14
	.dwcfa	0x07, 15
	.dwcfa	0x07, 16
	.dwcfa	0x07, 17
	.dwcfa	0x07, 18
	.dwcfa	0x07, 19
	.dwcfa	0x07, 20
	.dwcfa	0x07, 21
	.dwcfa	0x07, 22
	.dwcfa	0x07, 23
	.dwcfa	0x07, 24
	.dwcfa	0x07, 25
	.dwcfa	0x07, 26

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

DW$45	.dwtag  DW_TAG_assign_register, DW_AT_name("A1")
	.dwattr DW$45, DW_AT_location[DW_OP_reg0]
DW$46	.dwtag  DW_TAG_assign_register, DW_AT_name("A2")
	.dwattr DW$46, DW_AT_location[DW_OP_reg1]
DW$47	.dwtag  DW_TAG_assign_register, DW_AT_name("A3")
	.dwattr DW$47, DW_AT_location[DW_OP_reg2]
DW$48	.dwtag  DW_TAG_assign_register, DW_AT_name("A4")
	.dwattr DW$48, DW_AT_location[DW_OP_reg3]
DW$49	.dwtag  DW_TAG_assign_register, DW_AT_name("V1")
	.dwattr DW$49, DW_AT_location[DW_OP_reg4]
DW$50	.dwtag  DW_TAG_assign_register, DW_AT_name("V2")
	.dwattr DW$50, DW_AT_location[DW_OP_reg5]
DW$51	.dwtag  DW_TAG_assign_register, DW_AT_name("V3")
	.dwattr DW$51, DW_AT_location[DW_OP_reg6]
DW$52	.dwtag  DW_TAG_assign_register, DW_AT_name("V4")
	.dwattr DW$52, DW_AT_location[DW_OP_reg7]
DW$53	.dwtag  DW_TAG_assign_register, DW_AT_name("V5")
	.dwattr DW$53, DW_AT_location[DW_OP_reg8]
DW$54	.dwtag  DW_TAG_assign_register, DW_AT_name("V6")
	.dwattr DW$54, DW_AT_location[DW_OP_reg9]
DW$55	.dwtag  DW_TAG_assign_register, DW_AT_name("V7")
	.dwattr DW$55, DW_AT_location[DW_OP_reg10]
DW$56	.dwtag  DW_TAG_assign_register, DW_AT_name("V8")
	.dwattr DW$56, DW_AT_location[DW_OP_reg11]
DW$57	.dwtag  DW_TAG_assign_register, DW_AT_name("V9")
	.dwattr DW$57, DW_AT_location[DW_OP_reg12]
DW$58	.dwtag  DW_TAG_assign_register, DW_AT_name("SP")
	.dwattr DW$58, DW_AT_location[DW_OP_reg13]
DW$59	.dwtag  DW_TAG_assign_register, DW_AT_name("LR")
	.dwattr DW$59, DW_AT_location[DW_OP_reg14]
DW$60	.dwtag  DW_TAG_assign_register, DW_AT_name("PC")
	.dwattr DW$60, DW_AT_location[DW_OP_reg15]
DW$61	.dwtag  DW_TAG_assign_register, DW_AT_name("C0")
	.dwattr DW$61, DW_AT_location[DW_OP_reg16]
DW$62	.dwtag  DW_TAG_assign_register, DW_AT_name("C1")
	.dwattr DW$62, DW_AT_location[DW_OP_reg17]
DW$63	.dwtag  DW_TAG_assign_register, DW_AT_name("C2")
	.dwattr DW$63, DW_AT_location[DW_OP_reg18]
DW$64	.dwtag  DW_TAG_assign_register, DW_AT_name("C3")
	.dwattr DW$64, DW_AT_location[DW_OP_reg19]
DW$65	.dwtag  DW_TAG_assign_register, DW_AT_name("C4")
	.dwattr DW$65, DW_AT_location[DW_OP_reg20]
DW$66	.dwtag  DW_TAG_assign_register, DW_AT_name("C5")
	.dwattr DW$66, DW_AT_location[DW_OP_reg21]
DW$67	.dwtag  DW_TAG_assign_register, DW_AT_name("C6")
	.dwattr DW$67, DW_AT_location[DW_OP_reg22]
DW$68	.dwtag  DW_TAG_assign_register, DW_AT_name("C7")
	.dwattr DW$68, DW_AT_location[DW_OP_reg23]
DW$69	.dwtag  DW_TAG_assign_register, DW_AT_name("AP")
	.dwattr DW$69, DW_AT_location[DW_OP_reg24]
DW$70	.dwtag  DW_TAG_assign_register, DW_AT_name("SR")
	.dwattr DW$70, DW_AT_location[DW_OP_reg25]
DW$71	.dwtag  DW_TAG_assign_register, DW_AT_name("CIE_RETA")
	.dwattr DW$71, DW_AT_location[DW_OP_reg26]
	.dwendtag DW$CU

